/*
		FF le 26/03/2014
        GAstatmediateur.js
        Fonction neccesaires pour Google Analytics (pages vues et évènements)
*/

/* ------------------ Variables ------------------------- */
  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-49385743-1']);
  _gaq.push(['_trackPageview']);

  
  /* ------------------ Pages vues ------------------------- */
  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();


/* -------- Evénements liens Réseaux soociaux / liens externe avec option ouverture nouvelle fenêtre -------- */
function recordOutboundLink(link, category, action) {
  try {
    var pageTracker=_gat._getTracker("UA-49385743-1");
    pageTracker._trackEvent(category, action);

    if (link.target == '_blank') { 
         window.open(link.href); 
    } else { 
    setTimeout('document.location = "' + link.href + '"', 100)
}
  }catch(err){}
}